Xerces-C++: XMLErrs Class Reference

Xerces-C++ 3.3.0

Public Types | Static Public Member Functions | List of all members
XMLErrs Class Reference

`#include <xercesc/framework/XMLErrorCodes.hpp>`

## Public Types
enum | Codes { NoError = 0 , W_LowBounds = 1 , NotationAlreadyExists = 2 , AttListAlreadyExists = 3 , ContradictoryEncoding = 4 , UndeclaredElemInCM = 5 , UndeclaredElemInAttList = 6 , XMLException_Warning = 7 , XIncludeResourceErrorWarning = 8 , XIncludeCannotOpenFile = 9 , XIncludeIncludeFailedResourceError = 10 , W_HighBounds = 11 , E_LowBounds = 12 , FeatureUnsupported = 13 , TopLevelNoNameComplexType = 14 , TopLevelNoNameAttribute = 15 , NoNameRefAttribute = 16 , NoNameRefElement = 17 , NoNameRefGroup = 18 , NoNameRefAttGroup = 19 , AnonComplexTypeWithName = 20 , AnonSimpleTypeWithName = 21 , InvalidElementContent = 22 , SimpleTypeContentError = 23 , ExpectedSimpleTypeInList = 24 , ListUnionRestrictionError = 25 , SimpleTypeDerivationByListError = 26 , ExpectedSimpleTypeInRestriction = 27 , DuplicateFacet = 28 , ExpectedSimpleTypeInUnion = 29 , EmptySimpleTypeContent = 30 , InvalidSimpleContent = 31 , UnspecifiedBase = 32 , InvalidComplexContent = 33 , SchemaElementContentError = 34 , ContentError = 35 , UnknownSimpleType = 36 , UnknownComplexType = 37 , UnresolvedPrefix = 38 , RefElementNotFound = 39 , TypeNotFound = 40 , TopLevelAttributeNotFound = 41 , InvalidChildInComplexType = 42 , BaseTypeNotFound = 43 , DatatypeValidatorCreationError = 44 , InvalidChildFollowingSimpleContent = 45 , InvalidChildFollowingConplexContent = 46 , AttributeDefaultFixedValue = 47 , NotOptionalDefaultAttValue = 48 , DuplicateAttribute = 49 , AttributeWithTypeAndSimpleType = 50 , AttributeSimpleTypeNotFound = 51 , ElementWithFixedAndDefault = 52 , InvalidDeclarationName = 53 , ElementWithTypeAndAnonType = 54 , NotSimpleOrMixedElement = 55 , DisallowedSimpleTypeExtension = 56 , InvalidSimpleContentBase = 57 , InvalidComplexTypeBase = 58 , InvalidChildInSimpleContent = 59 , InvalidChildInComplexContent = 60 , AnnotationError = 61 , DisallowedBaseDerivation = 62 , InvalidBlockValue = 63 , InvalidFinalValue = 64 , InvalidSubstitutionGroupElement = 65 , SubstitutionGroupTypeMismatch = 66 , DuplicateElementDeclaration = 67 , InvalidAttValue = 68 , AttributeRefContentError = 69 , DuplicateRefAttribute = 70 , ForbiddenDerivationByRestriction = 71 , ForbiddenDerivationByExtension = 72 , BaseNotComplexType = 73 , ImportNamespaceDifference = 74 , DeclarationNoSchemaLocation = 75 , IncludeNamespaceDifference = 76 , OnlyAnnotationExpected = 77 , InvalidAttributeContent = 78 , AttributeRequiredGlobal = 79 , AttributeRequiredLocal = 80 , AttributeDisallowedGlobal = 81 , AttributeDisallowedLocal = 82 , InvalidMin2MaxOccurs = 83 , AnyAttributeContentError = 84 , NoNameGlobalElement = 85 , NoCircularDefinition = 86 , DuplicateGlobalType = 87 , DuplicateGlobalDeclaration = 88 , WS_CollapseExpected = 89 , Import_1_1 = 90 , Import_1_2 = 91 , ElemIDValueConstraint = 92 , NoNotationType = 93 , EmptiableMixedContent = 94 , EmptyComplexRestrictionDerivation = 95 , MixedOrElementOnly = 96 , InvalidContentRestriction = 97 , ForbiddenDerivation = 98 , AtomicItemType = 99 , GroupContentError = 100 , AttGroupContentError = 101 , MinMaxOnGroupChild = 102 , DeclarationNotFound = 103 , AllContentLimited = 104 , BadMinMaxAllCT = 105 , BadMinMaxAllElem = 106 , DuplicateAttInDerivation = 107 , NotExpressibleWildCardIntersection = 108 , BadAttDerivation_1 = 109 , BadAttDerivation_2 = 110 , BadAttDerivation_3 = 111 , BadAttDerivation_4 = 112 , BadAttDerivation_5 = 113 , BadAttDerivation_6 = 114 , BadAttDerivation_7 = 115 , BadAttDerivation_8 = 116 , BadAttDerivation_9 = 117 , AllContentError = 118 , RedefineNamespaceDifference = 119 , Redefine_InvalidSimpleType = 120 , Redefine_InvalidSimpleTypeBase = 121 , Redefine_InvalidComplexType = 122 , Redefine_InvalidComplexTypeBase = 123 , Redefine_InvalidGroupMinMax = 124 , Redefine_DeclarationNotFound = 125 , Redefine_GroupRefCount = 126 , Redefine_AttGroupRefCount = 127 , Redefine_InvalidChild = 128 , Notation_DeclNotFound = 129 , IC_DuplicateDecl = 130 , IC_BadContent = 131 , IC_KeyRefReferNotFound = 132 , IC_KeyRefCardinality = 133 , IC_XPathExprMissing = 134 , AttUseCorrect = 135 , AttDeclPropCorrect3 = 136 , AttDeclPropCorrect5 = 137 , AttGrpPropCorrect3 = 138 , InvalidTargetNSValue = 139 , XMLException_Error = 140 , InvalidRedefine = 141 , InvalidNSReference = 142 , NotAllContent = 143 , InvalidAnnotationContent = 144 , InvalidFacetName = 145 , InvalidXMLSchemaRoot = 146 , CircularSubsGroup = 147 , ELTSchemaNS = 148 , InvalidAttTNS = 149 , NSDeclInvalid = 150 , DOMLevel1Node = 151 , DuplicateAnyAttribute = 152 , AnyAttributeBeforeAttribute = 153 , E_HighBounds = 154 , F_LowBounds = 155 , EntityExpansionLimitExceeded = 156 , ExpectedCommentOrCDATA = 157 , ExpectedAttrName = 158 , ExpectedNotationName = 159 , NoRepInMixed = 160 , ExpectedDefAttrDecl = 161 , ExpectedEqSign = 162 , ExpectedElementName = 163 , CommentsMustStartWith = 164 , InvalidDocumentStructure = 165 , ExpectedDeclString = 166 , BadXMLVersion = 167 , UnsupportedXMLVersion = 168 , UnterminatedXMLDecl = 169 , BadXMLEncoding = 170 , BadStandalone = 171 , UnterminatedComment = 172 , PINameExpected = 173 , UnterminatedPI = 174 , InvalidCharacter = 175 , UnterminatedStartTag = 176 , ExpectedAttrValue = 177 , UnterminatedEndTag = 178 , ExpectedAttributeType = 179 , ExpectedEndOfTagX = 180 , ExpectedMarkup = 181 , NotValidAfterContent = 182 , ExpectedComment = 183 , ExpectedCommentOrPI = 184 , ExpectedWhitespace = 185 , NoRootElemInDOCTYPE = 186 , ExpectedQuotedString = 187 , ExpectedPublicId = 188 , InvalidPublicIdChar = 189 , UnterminatedDOCTYPE = 190 , InvalidCharacterInIntSubset = 191 , UnexpectedWhitespace = 192 , InvalidCharacterInAttrValue = 193 , ExpectedMarkupDecl = 194 , TextDeclNotLegalHere = 195 , ConditionalSectInIntSubset = 196 , ExpectedPEName = 197 , UnterminatedEntityDecl = 198 , InvalidCharacterRef = 199 , UnterminatedCharRef = 200 , ExpectedEntityRefName = 201 , EntityNotFound = 202 , NoUnparsedEntityRefs = 203 , UnterminatedEntityRef = 204 , RecursiveEntity = 205 , PartialMarkupInEntity = 206 , UnterminatedElementDecl = 207 , ExpectedContentSpecExpr = 208 , ExpectedAsterisk = 209 , UnterminatedContentModel = 210 , ExpectedSystemOrPublicId = 211 , UnterminatedNotationDecl = 212 , ExpectedSeqChoiceLeaf = 213 , ExpectedChoiceOrCloseParen = 214 , ExpectedSeqOrCloseParen = 215 , ExpectedEnumValue = 216 , ExpectedEnumSepOrParen = 217 , UnterminatedEntityLiteral = 218 , MoreEndThanStartTags = 219 , ExpectedOpenParen = 220 , AttrAlreadyUsedInSTag = 221 , BracketInAttrValue = 222 , Expected2ndSurrogateChar = 223 , ExpectedEndOfConditional = 224 , ExpectedIncOrIgn = 225 , ExpectedINCLUDEBracket = 226 , UnexpectedEOE = 227 , PEPropogated = 228 , ExtraCloseSquare = 229 , PERefInMarkupInIntSubset = 230 , EntityPropogated = 231 , ExpectedNumericalCharRef = 232 , ExpectedOpenSquareBracket = 233 , BadSequenceInCharData = 234 , IllegalSequenceInComment = 235 , UnterminatedCDATASection = 236 , ExpectedNDATA = 237 , NDATANotValidForPE = 238 , HexRadixMustBeLowerCase = 239 , DeclStringRep = 240 , DeclStringsInWrongOrder = 241 , NoExtRefsInAttValue = 242 , XMLDeclMustBeLowerCase = 243 , ExpectedEntityValue = 244 , BadDigitForRadix = 245 , EndedWithTagsOnStack = 246 , NestedCDATA = 247 , UnknownPrefix = 248 , PartialTagMarkupError = 249 , EmptyMainEntity = 250 , CDATAOutsideOfContent = 251 , Unexpected2ndSurrogateChar = 252 , NoPIStartsWithXML = 253 , XMLDeclMustBeFirst = 254 , XMLVersionRequired = 255 , StandaloneNotLegal = 256 , EncodingRequired = 257 , ColonNotLegalWithNS = 258 , XMLException_Fatal = 259 , BadSchemaLocation = 260 , SchemaScanFatalError = 261 , IllegalRefInStandalone = 262 , PEBetweenDecl = 263 , NoEmptyStrNamespace = 264 , NoUseOfxmlnsAsPrefix = 265 , NoUseOfxmlnsURI = 266 , PrefixXMLNotMatchXMLURI = 267 , XMLURINotMatchXMLPrefix = 268 , NoXMLNSAsElementPrefix = 269 , CT_SimpleTypeChildRequired = 270 , InvalidRootElemInDOCTYPE = 271 , InvalidElementName = 272 , InvalidAttrName = 273 , InvalidEntityRefName = 274 , DuplicateDocTypeDecl = 275 , XIncludeOrphanFallback = 276 , XIncludeNoHref = 277 , XIncludeXPointerNotSupported = 278 , XIncludeInvalidParseVal = 279 , XIncludeMultipleFallbackElems = 280 , XIncludeIncludeFailedNoFallback = 281 , XIncludeCircularInclusionLoop = 282 , XIncludeCircularInclusionDocIncludesSelf = 283 , XIncludeDisallowedChild = 284 , XIncludeConflictingNotation = 285 , XIncludeConflictingEntity = 286 , F_HighBounds = 287 }

## Static Public Member Functions
static bool | isFatal (const XMLErrs::Codes toCheck)
static bool | isWarning (const XMLErrs::Codes toCheck)
static bool | isError (const XMLErrs::Codes toCheck)
static XMLErrorReporter::ErrTypes | errorType (const XMLErrs::Codes toCheck)
static DOMError::ErrorSeverity | DOMErrorType (const XMLErrs::Codes toCheck)

## Member Enumeration Documentation

## ◆ Codes

enum XMLErrs::Codes

Enumerator
NoError |
W_LowBounds |
NotationAlreadyExists |
AttListAlreadyExists |
ContradictoryEncoding |
UndeclaredElemInCM |
UndeclaredElemInAttList |
XMLException_Warning |
XIncludeResourceErrorWarning |
XIncludeCannotOpenFile |
XIncludeIncludeFailedResourceError |
W_HighBounds |
E_LowBounds |
FeatureUnsupported |
TopLevelNoNameComplexType |
TopLevelNoNameAttribute |
NoNameRefAttribute |
NoNameRefElement |
NoNameRefGroup |
NoNameRefAttGroup |
AnonComplexTypeWithName |
AnonSimpleTypeWithName |
InvalidElementContent |
SimpleTypeContentError |
ExpectedSimpleTypeInList |
ListUnionRestrictionError |
SimpleTypeDerivationByListError |
ExpectedSimpleTypeInRestriction |
DuplicateFacet |
ExpectedSimpleTypeInUnion |
EmptySimpleTypeContent |
InvalidSimpleContent |
UnspecifiedBase |
InvalidComplexContent |
SchemaElementContentError |
ContentError |
UnknownSimpleType |
UnknownComplexType |
UnresolvedPrefix |
RefElementNotFound |
TypeNotFound |
TopLevelAttributeNotFound |
InvalidChildInComplexType |
BaseTypeNotFound |
DatatypeValidatorCreationError |
InvalidChildFollowingSimpleContent |
InvalidChildFollowingConplexContent |
AttributeDefaultFixedValue |
NotOptionalDefaultAttValue |
DuplicateAttribute |
AttributeWithTypeAndSimpleType |
AttributeSimpleTypeNotFound |
ElementWithFixedAndDefault |
InvalidDeclarationName |
ElementWithTypeAndAnonType |
NotSimpleOrMixedElement |
DisallowedSimpleTypeExtension |
InvalidSimpleContentBase |
InvalidComplexTypeBase |
InvalidChildInSimpleContent |
InvalidChildInComplexContent |
AnnotationError |
DisallowedBaseDerivation |
InvalidBlockValue |
InvalidFinalValue |
InvalidSubstitutionGroupElement |
SubstitutionGroupTypeMismatch |
DuplicateElementDeclaration |
InvalidAttValue |
AttributeRefContentError |
DuplicateRefAttribute |
ForbiddenDerivationByRestriction |
ForbiddenDerivationByExtension |
BaseNotComplexType |
ImportNamespaceDifference |
DeclarationNoSchemaLocation |
IncludeNamespaceDifference |
OnlyAnnotationExpected |
InvalidAttributeContent |
AttributeRequiredGlobal |
AttributeRequiredLocal |
AttributeDisallowedGlobal |
AttributeDisallowedLocal |
InvalidMin2MaxOccurs |
AnyAttributeContentError |
NoNameGlobalElement |
NoCircularDefinition |
DuplicateGlobalType |
DuplicateGlobalDeclaration |
WS_CollapseExpected |
Import_1_1 |
Import_1_2 |
ElemIDValueConstraint |
NoNotationType |
EmptiableMixedContent |
EmptyComplexRestrictionDerivation |
MixedOrElementOnly |
InvalidContentRestriction |
ForbiddenDerivation |
AtomicItemType |
GroupContentError |
AttGroupContentError |
MinMaxOnGroupChild |
DeclarationNotFound |
AllContentLimited |
BadMinMaxAllCT |
BadMinMaxAllElem |
DuplicateAttInDerivation |
NotExpressibleWildCardIntersection |
BadAttDerivation_1 |
BadAttDerivation_2 |
BadAttDerivation_3 |
BadAttDerivation_4 |
BadAttDerivation_5 |
BadAttDerivation_6 |
BadAttDerivation_7 |
BadAttDerivation_8 |
BadAttDerivation_9 |
AllContentError |
RedefineNamespaceDifference |
Redefine_InvalidSimpleType |
Redefine_InvalidSimpleTypeBase |
Redefine_InvalidComplexType |
Redefine_InvalidComplexTypeBase |
Redefine_InvalidGroupMinMax |
Redefine_DeclarationNotFound |
Redefine_GroupRefCount |
Redefine_AttGroupRefCount |
Redefine_InvalidChild |
Notation_DeclNotFound |
IC_DuplicateDecl |
IC_BadContent |
IC_KeyRefReferNotFound |
IC_KeyRefCardinality |
IC_XPathExprMissing |
AttUseCorrect |
AttDeclPropCorrect3 |
AttDeclPropCorrect5 |
AttGrpPropCorrect3 |
InvalidTargetNSValue |
XMLException_Error |
InvalidRedefine |
InvalidNSReference |
NotAllContent |
InvalidAnnotationContent |
InvalidFacetName |
InvalidXMLSchemaRoot |
CircularSubsGroup |
ELTSchemaNS |
InvalidAttTNS |
NSDeclInvalid |
DOMLevel1Node |
DuplicateAnyAttribute |
AnyAttributeBeforeAttribute |
E_HighBounds |
F_LowBounds |
EntityExpansionLimitExceeded |
ExpectedCommentOrCDATA |
ExpectedAttrName |
ExpectedNotationName |
NoRepInMixed |
ExpectedDefAttrDecl |
ExpectedEqSign |
ExpectedElementName |
CommentsMustStartWith |
InvalidDocumentStructure |
ExpectedDeclString |
BadXMLVersion |
UnsupportedXMLVersion |
UnterminatedXMLDecl |
BadXMLEncoding |
BadStandalone |
UnterminatedComment |
PINameExpected |
UnterminatedPI |
InvalidCharacter |
UnterminatedStartTag |
ExpectedAttrValue |
UnterminatedEndTag |
ExpectedAttributeType |
ExpectedEndOfTagX |
ExpectedMarkup |
NotValidAfterContent |
ExpectedComment |
ExpectedCommentOrPI |
ExpectedWhitespace |
NoRootElemInDOCTYPE |
ExpectedQuotedString |
ExpectedPublicId |
InvalidPublicIdChar |
UnterminatedDOCTYPE |
InvalidCharacterInIntSubset |
UnexpectedWhitespace |
InvalidCharacterInAttrValue |
ExpectedMarkupDecl |
TextDeclNotLegalHere |
ConditionalSectInIntSubset |
ExpectedPEName |
UnterminatedEntityDecl |
InvalidCharacterRef |
UnterminatedCharRef |
ExpectedEntityRefName |
EntityNotFound |
NoUnparsedEntityRefs |
UnterminatedEntityRef |
RecursiveEntity |
PartialMarkupInEntity |
UnterminatedElementDecl |
ExpectedContentSpecExpr |
ExpectedAsterisk |
UnterminatedContentModel |
ExpectedSystemOrPublicId |
UnterminatedNotationDecl |
ExpectedSeqChoiceLeaf |
ExpectedChoiceOrCloseParen |
ExpectedSeqOrCloseParen |
ExpectedEnumValue |
ExpectedEnumSepOrParen |
UnterminatedEntityLiteral |
MoreEndThanStartTags |
ExpectedOpenParen |
AttrAlreadyUsedInSTag |
BracketInAttrValue |
Expected2ndSurrogateChar |
ExpectedEndOfConditional |
ExpectedIncOrIgn |
ExpectedINCLUDEBracket |
UnexpectedEOE |
PEPropogated |
ExtraCloseSquare |
PERefInMarkupInIntSubset |
EntityPropogated |
ExpectedNumericalCharRef |
ExpectedOpenSquareBracket |
BadSequenceInCharData |
IllegalSequenceInComment |
UnterminatedCDATASection |
ExpectedNDATA |
NDATANotValidForPE |
HexRadixMustBeLowerCase |
DeclStringRep |
DeclStringsInWrongOrder |
NoExtRefsInAttValue |
XMLDeclMustBeLowerCase |
ExpectedEntityValue |
BadDigitForRadix |
EndedWithTagsOnStack |
NestedCDATA |
UnknownPrefix |
PartialTagMarkupError |
EmptyMainEntity |
CDATAOutsideOfContent |
Unexpected2ndSurrogateChar |
NoPIStartsWithXML |
XMLDeclMustBeFirst |
XMLVersionRequired |
StandaloneNotLegal |
EncodingRequired |
ColonNotLegalWithNS |
XMLException_Fatal |
BadSchemaLocation |
SchemaScanFatalError |
IllegalRefInStandalone |
PEBetweenDecl |
NoEmptyStrNamespace |
NoUseOfxmlnsAsPrefix |
NoUseOfxmlnsURI |
PrefixXMLNotMatchXMLURI |
XMLURINotMatchXMLPrefix |
NoXMLNSAsElementPrefix |
CT_SimpleTypeChildRequired |
InvalidRootElemInDOCTYPE |
InvalidElementName |
InvalidAttrName |
InvalidEntityRefName |
DuplicateDocTypeDecl |
XIncludeOrphanFallback |
XIncludeNoHref |
XIncludeXPointerNotSupported |
XIncludeInvalidParseVal |
XIncludeMultipleFallbackElems |
XIncludeIncludeFailedNoFallback |
XIncludeCircularInclusionLoop |
XIncludeCircularInclusionDocIncludesSelf |
XIncludeDisallowedChild |
XIncludeConflictingNotation |
XIncludeConflictingEntity |
F_HighBounds |

## Member Function Documentation

## ◆ DOMErrorType()

static DOMError::ErrorSeverity XMLErrs::DOMErrorType | ( | const XMLErrs::Codes | toCheck | ) |
| static

References DOMError::DOM_SEVERITY_ERROR, DOMError::DOM_SEVERITY_FATAL_ERROR, DOMError::DOM_SEVERITY_WARNING, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

## ◆ errorType()

static XMLErrorReporter::ErrTypes XMLErrs::errorType | ( | const XMLErrs::Codes | toCheck | ) |
| static

References E_HighBounds, E_LowBounds, XMLErrorReporter::ErrType_Error, XMLErrorReporter::ErrType_Fatal, XMLErrorReporter::ErrType_Warning, XMLErrorReporter::ErrTypes_Unknown, F_HighBounds, F_LowBounds, W_HighBounds, and W_LowBounds.

## ◆ isError()

static bool XMLErrs::isError | ( | const XMLErrs::Codes | toCheck | ) |
| static

References E_HighBounds, and E_LowBounds.

## ◆ isFatal()

static bool XMLErrs::isFatal | ( | const XMLErrs::Codes | toCheck | ) |
| static

References F_HighBounds, and F_LowBounds.

## ◆ isWarning()

static bool XMLErrs::isWarning | ( | const XMLErrs::Codes | toCheck | ) |
| static

References W_HighBounds, and W_LowBounds.

The documentation for this class was generated from the following file:

- XMLErrorCodes.hpp